# conduwuit Community Code of Conduct

Welcome to the conduwuit community! We’re excited to have you here. conduwuit is a hard-fork of the Conduit homeserver,
aimed at making Matrix more accessible and inclusive for everyone.

This space is dedicated to fostering a positive, supportive, and inclusive environment for everyone. This Code of
Conduct applies to all conduwuit spaces, including any further community rooms that reference this CoC. Here are our
guidelines to help maintain the welcoming atmosphere that sets conduwuit apart.

For the foundational rules, please refer to the [Matrix.org Code of Conduct](https://matrix.org/legal/code-of-conduct/)
and the [Contributor's Covenant](https://github.com/girlbossceo/conduwuit/blob/main/CODE_OF_CONDUCT.md). Below are
additional guidelines specific to the conduwuit community.

## Our Values and Guidelines

1. **Respect and Inclusivity**: We are committed to maintaining a community where everyone feels safe and respected.
   Discrimination, harassment, or hate speech of any kind will not be tolerated. Recognise that each community member
   experiences the world differently based on their past experiences, background, and identity. Share your own
   experiences and be open to learning about others' diverse perspectives.

2. **Positivity and Constructiveness**: Engage in constructive discussions and support each other. If you feel angry,
   negative, or aggressive, take a break until you can participate in a positive and constructive manner. Process
   intense feelings with a friend or in a private setting before engaging in community conversations to help maintain
   a supportive and focused environment.

3. **Clarity and Understanding**: Our community includes neurodivergent individuals and those who may not appreciate
   sarcasm or subtlety. Communicate clearly and kindly, avoiding sarcasm and ensuring your messages are easily
   understood by all. Additionally, avoid putting the burden of education on marginalized groups by doing your own
   research before asking for explanations.

4. **Be Open to Inclusivity**: Actively engage in conversations about making our community more inclusive. Report
   discriminatory behavior to the moderators and be open to constructive feedback that aims to improve our community.
   Understand that discussing discrimination and negative experiences can be emotionally taxing, so focus on the
   message rather than critiquing the tone used.

5. **Commit to Inclusivity**: Building an inclusive community requires time, energy, and resources. Recognise that
   addressing discrimination and bias is an ongoing process that necessitates commitment and action from all community
   members.

## Matrix Community

This Code of Conduct applies to the entire [conduwuit Matrix Space](https://matrix.to/#/#conduwuit-space:puppygock.gay)
and its rooms, including:

### [#conduwuit:puppygock.gay](https://matrix.to/#/#conduwuit:puppygock.gay)

This room is for support and discussions about conduwuit. Ask questions, share insights, and help each other out.

### [#conduwuit-offtopic:girlboss.ceo](https://matrix.to/#/#conduwuit-offtopic:girlboss.ceo)

For off-topic community conversations about any subject. While this room allows for a wide range of topics, the same
CoC applies. Keep discussions respectful and inclusive, and avoid divisive subjects like country/world politics.
General topics, such as world events, are welcome as long as they follow the CoC.

### [#conduwuit-dev:puppygock.gay](https://matrix.to/#/#conduwuit-dev:puppygock.gay)

This room is dedicated to discussing active development of conduwuit. Posting requires an elevated power level, which
can be requested in one of the other rooms. Use this space to collaborate and innovate.

## Enforcement

We have a zero-tolerance policy for violations of this Code of Conduct. If someone’s behavior makes you uncomfortable,
please report it to the moderators. Actions we may take include:

1. **Warning**: A warning given directly in the room or via a private message from the moderators, identifying
   the violation and requesting corrective action.
2. **Temporary Mute**: Temporary restriction from participating in discussions for a specified period to allow for
   reflection and cooling off.
3. **Kick or Ban**: Egregious behavior may result in an immediate kick or ban to protect other community members.
   Bans are considered permanent and will only be reversed in exceptional circumstances after proven good behavior.

Please highlight issues directly in rooms when possible, but if you don't feel comfortable doing that, then please send
a DM to one of the moderators directly.

Together, let’s build a community where everyone feels valued and respected.

- The conduwuit Moderation Team
